%define	name	galan
%define	version	0.3.0
%define	release	0.beta3.2mdk

%define	major	0
%define	libname	%mklibname %name %major

Summary: 	Graphical audio processing toolkit
Name: 		%name
Version: 	%version
Release:	%release
Source0:	%name-%{version}_beta3.tar.bz2
URL: 		http://galan.sourceforge.net/
License: 	GPL
Group: 		Sound
BuildRoot: 	%{_tmppath}/%{name}-buildroot
BuildRequires:  libalsa-devel libaudiofile-devel libsndfile-devel
BuildRequires:	pkgconfig esound-devel libvorbis-devel
Buildrequires:  gtk2-devel gtkglarea2-devel
BuildRequires:	fftw2-devel jackit-devel liblrdf-devel

%description
Using gAlan is much like setting up an effects-chain for, say, a guitar.
You choose the effects units you wish to use, lay them out, and then
connect them to each other, starting with the guitar, threading through
the effects, and ending up at the amplifier (and ultimately the speakers).

It's not just limited to acting as an effects-chain, though. You can also
configure it (using the same basic principles) to act as a mixer, a
sample-sequencer or drum machine, or a synthesiser capable of emulating
various analogue systems. The examples page and the tutorial provide some
descriptions of some of the ways gAlan can be used. The User Guide has a
section on common motifs in mesh design which may also give an impression
of how gAlan works.

%prep
%setup -q -n %name-%{version}_beta3

%build
%configure2_5x --enable-static=no
%make

%install
%makeinstall

#cleanup
for i in doc/CVS doc/examples/CVS doc/examples/samples/CVS doc/exdoc/html/CVS doc/html/CVS
do
rm -fr $i
done

#menu
install -d -m 0755 %buildroot/%_menudir
cat > %buildroot/%_menudir/%{name} <<EOF
?package(%{name}): \
command="galan" \
title="Galan" \
longtitle="Audio processing" \
needs="x11" \
section="Multimedia/Sound" \
icon="sound_section.png"
EOF

%post
%update_menus

%postun
%clean_menus

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc AUTHORS COPYING NEWS NOTES README TODO doc/examples doc/html
%_bindir/*
%_libdir/%name
%_datadir/%name
%_menudir/*

%changelog
* Tue Feb 17 2004 Austin Acton <austin@mandrake.org> 0.3.0-0.beta3.2mdk
- rebuild for liblrdf2

* Wed Feb 4 2004 Austin Acton <austin@mandrake.org> 0.3.0-0.beta3.1mdk
- 0.3.0beta3
- delib (useless)
- configure 2.5

* Tue Aug 5 2003 Austin Acton <aacton@yorku.ca> 0.2.14-3mdk
- DIRM

* Fri Apr 25 2003 Austin Acton <aacton@yorku.ca> 0.2.14-2mdk
- buildrequires glu

* Sat Mar 22 2003 Austin Acton <aacton@yorku.ca> 0.2.14-1mdk
- 0.2.14
- use mklibname

* Sun Feb 2 2003 Austin Acton <aacton@yorku.ca> 0.2.13d-1mdk
- 0.2.13d

* Sun Jan 12 2003 Austin Acton <aacton@yorku.ca> 0.2.12-1mdk
- initial build
